# Uses of Interface
org.eclipse.pde.core.plugin.IExtensionsModelFactory

Packages that use IExtensionsModelFactory
Package
Description
org.eclipse.pde.core.plugin
Application programming interfaces for working with PDE's model of plug-ins.

## Uses of IExtensionsModelFactory in org.eclipse.pde.core.plugin

Subinterfaces of IExtensionsModelFactory in org.eclipse.pde.core.plugin
Modifier and Type
Interface
Description
`interface`
`IPluginModelFactory`
This factory should be used to create instances of the plug-in model objects.
Methods in org.eclipse.pde.core.plugin that return IExtensionsModelFactory
Modifier and Type
Method
Description
`IExtensionsModelFactory`
ISharedPluginModel.`getFactory()`
Returns a factory object that should be used to create new instances of the model objects.